Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.client.renderer.entity
Class RenderItem

    java.lang.Object
      net.minecraft.client.renderer.entity.Render
          net.minecraft.client.renderer.entity.RenderItem

    public class RenderItem

extends Render

Field Summary
`boolean` | `field_77024_a`
`static boolean` | `field_82407_g`
`float` | `zLevel` Defines the zLevel of rendering of item on GUI.

Constructor Summary
`RenderItem()`

Method Summary
`void` | `doRender(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)` Actually renders the given argument.
`void` | `doRenderItem(EntityItem par1EntityItem, double par2, double par4, double par6, float par8, float par9)` Renders the item
`byte` | `getMiniBlockCountForItemStack(ItemStack stack)`
`byte` | `getMiniItemCountForItemStack(ItemStack stack)` Allows for a subclass to override how many rendered items appear in a "mini item 3d stack"
`void` | `renderItemAndEffectIntoGUI(FontRenderer par1FontRenderer, RenderEngine par2RenderEngine, ItemStack par3ItemStack, int par4, int par5)` Render the item's icon or block into the GUI, including the glint effect.
`void` | `renderItemIntoGUI(FontRenderer par1FontRenderer, RenderEngine par2RenderEngine, ItemStack par3ItemStack, int par4, int par5)` Renders the item's icon or block into the UI at the specified position.
`void` | `renderItemOverlayIntoGUI(FontRenderer par1FontRenderer, RenderEngine par2RenderEngine, ItemStack par3ItemStack, int par4, int par5)` Renders the item's overlay information.
`void` | `renderTexturedQuad(int par1, int par2, int par3, int par4, int par5, int par6)` Adds a textured quad to the tesselator at the specified position with the specified texture coords, width and height.
`boolean` | `shouldBob()` Items should have a bob effect
`boolean` | `shouldSpreadItems()` Items should spread out when rendered in 3d?

Methods inherited from class net.minecraft.client.renderer.entity.Render
`doRenderShadowAndFire, getFontRendererFromRenderManager, renderAABB, renderOffsetAABB, setRenderManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### field_77024_a

    public boolean field_77024_a

### zLevel

    public float zLevel

  Defines the zLevel of rendering of item on GUI.

### field_82407_g

    public static boolean field_82407_g

Constructor Detail

### RenderItem

    public RenderItem()

Method Detail

### doRenderItem

    public void doRenderItem(EntityItem par1EntityItem,
                             double par2,
                             double par4,
                             double par6,
                             float par8,
                             float par9)

  Renders the item

### renderItemIntoGUI

    public void renderItemIntoGUI(FontRenderer par1FontRenderer,
                                  RenderEngine par2RenderEngine,
                                  ItemStack par3ItemStack,
                                  int par4,
                                  int par5)

  Renders the item's icon or block into the UI at the specified position.

### renderItemAndEffectIntoGUI

    public void renderItemAndEffectIntoGUI(FontRenderer par1FontRenderer,
                                           RenderEngine par2RenderEngine,
                                           ItemStack par3ItemStack,
                                           int par4,
                                           int par5)

  Render the item's icon or block into the GUI, including the glint effect.

### renderItemOverlayIntoGUI

    public void renderItemOverlayIntoGUI(FontRenderer par1FontRenderer,
                                         RenderEngine par2RenderEngine,
                                         ItemStack par3ItemStack,
                                         int par4,
                                         int par5)

  Renders the item's overlay information. Examples being stack count or damage on top of the item's image at the specified position.

### renderTexturedQuad

    public void renderTexturedQuad(int par1,
                                   int par2,
                                   int par3,
                                   int par4,
                                   int par5,
                                   int par6)

  Adds a textured quad to the tesselator at the specified position with the specified texture coords, width and height. Args: x, y, u, v, width, height

### doRender

    public void doRender(Entity par1Entity,
                         double par2,
                         double par4,
                         double par6,
                         float par8,
                         float par9)

  Actually renders the given argument. This is a synthetic bridge method, always casting down its argument and then handing it off to a worker function which does the actual work. In all probabilty, the class Render is generic (Render
  Specified by:
    `doRender` in class `Render`

### shouldSpreadItems

    public boolean shouldSpreadItems()

  Items should spread out when rendered in 3d?

  Returns:

### shouldBob

    public boolean shouldBob()

  Items should have a bob effect

  Returns:

### getMiniBlockCountForItemStack

    public byte getMiniBlockCountForItemStack(ItemStack stack)

### getMiniItemCountForItemStack

    public byte getMiniItemCountForItemStack(ItemStack stack)

  Allows for a subclass to override how many rendered items appear in a "mini item 3d stack"

  Parameters:
    `stack` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD